Bug 1034307 - libbluray multilib conflict
Summary: libbluray multilib conflict
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libbluray
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Xavier Bachelot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-25 14:53 UTC by John Sullivan
Modified: 2013-12-16 23:05 UTC (History)
5 users (show)

Fixed In Version: libbluray-0.4.0-2.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-16 07:06:22 UTC


Attachments (Terms of Use)

Description John Sullivan 2013-11-25 14:53:15 UTC
Compare with bug 831401 (doc conflicts in the -devel sub-RPMs).

The libbluray RPM itself contains both the libbluray shared libs, and a bunch of binaries in /usr/bin, and a bunch of docs in /usr/share/doc:

# rpm -ql libbluray-0.2.3-1.fc18.x86_64
/usr/bin/bd_info
/usr/bin/bdj_test
/usr/bin/bdsplice
/usr/bin/clpi_dump
/usr/bin/hdmv_test
/usr/bin/index_dump
/usr/bin/libbluray_test
/usr/bin/list_titles
/usr/bin/mobj_dump
/usr/bin/mpls_dump
/usr/bin/sound_dump
/usr/lib64/libbluray.so.1
/usr/lib64/libbluray.so.1.2.0
/usr/share/doc/libbluray-0.2.3
/usr/share/doc/libbluray-0.2.3/COPYING
/usr/share/doc/libbluray-0.2.3/README.txt
/usr/share/doc/libbluray-0.2.3/player_wrappers
/usr/share/doc/libbluray-0.2.3/player_wrappers/xine
/usr/share/doc/libbluray-0.2.3/player_wrappers/xine/HOWTO
/usr/share/doc/libbluray-0.2.3/player_wrappers/xine/Makefile
/usr/share/doc/libbluray-0.2.3/player_wrappers/xine/input_bluray.c

Installing both x86_64 and i686 versions for dependencies on the libraries therefore breaks upgrades (in this case to 0.4.0-1) due to a conflict on the binaries.

The RPM should be split out in to separate libs (which one can install multilib) and binary (which one would install just one of) sub-RPMs.

Comment 1 Nicolai Nielsen 2013-11-28 14:34:58 UTC
Adding comment to aid people searching for this error:

PREREQUISITE:

  Have both 32-bit and 64-bit versions of libbluray installed.
  (I have libbluray.i686 0.2.3-1.fc8 and libbluray.86_64 0.2.3-1.fc8)

COMMAND ISSUED:

  sudo yum update -y

OUTPUT:

   Transaction Check Error:
     file /usr/bin/clpi_dump conflicts between attempted installs of libbluray-0.4.0-1.fc18.i686 and libbluray-0.4.0-1.fc18.x86_64


LOCAL WORKAROUND:
  Exclude libbluray from updates until file conflicts resolved:

     sudo yum update -y -x libbluray


Hope this will help others...

Comment 2 Xavier Bachelot 2013-11-28 17:18:58 UTC
Could you please test this scratch build once it's finished building ?
http://koji.fedoraproject.org/koji/taskinfo?taskID=6237931

Comment 3 John Sullivan 2013-11-29 18:05:30 UTC
I'd previously forced the issue by removing libbluray.i686, doing the yum update, using yumdownloader to grab libbluray-0.4.0-1.i686 and installing it with rpm --force. (So 0.4.0-1 both x86_64 and i686 versions installed at this point.)

Added and refreshed my local repo with libbluray{,-utils}-0.4.0-2.{x86_64,i686} (4 RPMs) and did a "yum update". This time it worked fine. Had to install libbluray-utils.x86_64 manually afterwards though.

Comment 4 Fedora Update System 2013-11-30 12:24:21 UTC
libbluray-0.4.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libbluray-0.4.0-2.fc19

Comment 5 Fedora Update System 2013-11-30 12:24:32 UTC
libbluray-0.4.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libbluray-0.4.0-2.fc18

Comment 6 Fedora Update System 2013-11-30 12:24:42 UTC
libbluray-0.4.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libbluray-0.4.0-2.fc20

Comment 7 Fedora Update System 2013-12-01 09:31:50 UTC
Package libbluray-0.4.0-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libbluray-0.4.0-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22457/libbluray-0.4.0-2.fc18
then log in and leave karma (feedback).

Comment 8 lnie 2013-12-02 05:34:00 UTC
0.4.0-2.fc20 works fine

Comment 9 Fedora Update System 2013-12-16 07:06:22 UTC
libbluray-0.4.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-12-16 22:58:35 UTC
libbluray-0.4.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-12-16 23:05:04 UTC
libbluray-0.4.0-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.